## libxml2 2.9.0+dfsg1

=== debian/changelog ===
libxml2 (2.9.0+dfsg1-4ubuntu1) raring; urgency=low

  * Fix python multi-arch includes issues. 

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 11 Jan 2013 13:10:08 -0600

libxml2 (2.9.0+dfsg1-4) experimental; urgency=low

  [ Daniel Veillard ]
  * Fix potential out of bound access
    CVE-2012-5134, Closes: #694521.

 -- Aron Xu <aron@debian.org>  Wed, 28 Nov 2012 22:34:15 +0800

libxml2 (2.9.0+dfsg1-3) experimental; urgency=low

  [ Aron Xu ]
  * Remove -L/usr/lib from xml2-config, advise to use pkg-config
    in man, and add pkg-config to Suggests. (Closes: #689168)

  [ YunQiang Su ]
  * Fix python-libxml2 undefined symbol (Closes: #689191)

  [ Daniel Holbach ]
  * Add simple autopkgtest to the package (Closes: #690047)

 -- Aron Xu <aron@debian.org>  Sun, 28 Oct 2012 03:59:43 +0800

libxml2 (2.9.0+dfsg1-2) experimental; urgency=low

  * Fix a thread portability problem by cherry-picking upstream
    patch (Closes: #688473).

 -- Aron Xu <aron@debian.org>  Sun, 23 Sep 2012 16:50:12 +0800

libxml2 (2.9.0+dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Remove old patches applied upstream, cherry-pick one
    upstream post release patch.
  * Update symbols.
  * Update std-ver 3.9.3 -> 3.9.4, no change required.

 -- Aron Xu <aron@debian.org>  Fri, 21 Sep 2012 00:21:42 +0800
