=== debian/control ===
Source: libxml2
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), perl, dh-autoreconf, autotools-dev,
 binutils (>= 2.14.90.0.7), python-all-dev (>= 2.6.6-3~), python-all-dbg,
 zlib1g-dev | libz-dev, liblzma-dev, libreadline-dev | libreadline6-dev
Homepage: http://xmlsoft.org/
Vcs-Git: git://git.debian.org/debian-xml-sgml/libxml2.git
Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/libxml2.git
XS-Testsuite: autopkgtest

Package: libxml2
Priority: standard
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xml-core
Multi-Arch: same
Description: GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides a library providing an extensive API to handle
 such XML data files.

Package: libxml2-utils
Architecture: any
Section: text
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: XML utilities
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides xmllint, a tool for validating and reformatting
 XML documents, and xmlcatalog, a tool to parse and manipulate XML or
 SGML catalog files.

Package: libxml2-utils-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libxml2-utils (= ${binary:Version}), ${misc:Depends}
Description: XML utilities (debug extension)
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides the debugging symbols for the utilities provided
 by the libxml2-utils package.

Package: libxml2-dev
Architecture: any
Section: libdevel
Depends: libxml2 (= ${binary:Version}), ${misc:Depends}
Suggests: pkg-config
Multi-Arch: same
Description: Development files for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 Install this package if you wish to develop your own programs using
 the GNOME XML library.

Package: libxml2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libxml2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Debugging symbols for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides the debugging symbols for the library.

Package: libxml2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package contains general information about the GNOME XML library
 and more specific API references.

Package: python-libxml2
Architecture: any
Section: python
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package contains the files needed to use the GNOME XML library
 in Python programs.

Package: python-libxml2-dbg
Architecture: any
Section: debug
Priority: extra
Provides: ${python:Provides}
Depends: python-dbg, python-libxml2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for the GNOME XML library (debug extension)
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package contains the files needed to use the GNOME XML library
 in Python programs for use with the Python debug interpreter.

Package: libxml2-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNOME XML library - minimal runtime
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This is a minimal package for use in debian-installer that yields a
 library providing an extensive API to handle such XML data files.
