## libxml2 2.9.1+dfsg1

=== debian/changelog ===
libxml2 (2.9.1+dfsg1-5+deb8u8) jessie-security; urgency=high

  * CVE-2019-19956: Fix a potential denial of service vulnerability via memory
    leak in the xmlParseBalancedChunkMemoryRecover function.

 -- Chris Lamb <lamby@debian.org>  Sat, 28 Dec 2019 17:51:22 +0000

libxml2 (2.9.1+dfsg1-5+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-14404
    Fix of a NULL pointer dereference which might result in a crash and
    thus in a denial of service.
  * CVE-2018-14567 and CVE-2018-9251
    Approvement in LZMA error handling which prevents an infinite loop.
  * CVE-2017-18258
    Limit available memory to 100MB to avoid exhaustive memory
    consumption by malicious files.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 27 Sep 2018 19:03:02 +0200

libxml2 (2.9.1+dfsg1-5+deb8u6) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix XPath stack frame logic (CVE-2017-15412) (Closes: #883790)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 12 Jan 2018 19:06:50 +0100

libxml2 (2.9.1+dfsg1-5+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Increase buffer space for port in HTTP redirect support (CVE-2017-7376)
    Incorrect limit was used for port values. (Closes: #870865)
  * Prevent unwanted external entity reference (CVE-2017-7375)
    Missing validation for external entities in xmlParsePEReference.
    (Closes: #870867)
  * Fix handling of parameter-entity references (CVE-2017-9049, CVE-2017-9050)
    - Heap-based buffer over-read in function xmlDictComputeFastKey
      (CVE-2017-9049).
    - Heap-based buffer over-read in function xmlDictAddString
      (CVE-2017-9050).
    (Closes: #863019, #863018)
  * Fix buffer size checks in xmlSnprintfElementContent (CVE-2017-9047,
    CVE-2017-9048)
    - Buffer overflow in function xmlSnprintfElementContent (CVE-2017-9047).
    - Stack-based buffer overflow in function xmlSnprintfElementContent
      (CVE-2017-9048).
    (Closes: #863022, #863021)
  * Fix type confusion in xmlValidateOneNamespace (CVE-2017-0663)
    Heap buffer overflow in xmlAddID. (Closes: #870870)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Aug 2017 17:31:22 +0200

libxml2 (2.9.1+dfsg1-5+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix comparison with root node in xmlXPathCmpNodes
  * Fix XPointer paths beginning with range-to (CVE-2016-5131)
   (Closes: #840554)
  * Disallow namespace nodes in XPointer ranges (CVE-2016-4658)
    (Closes: #840553)
  * Fix more NULL pointer derefs in xpointer.c

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Dec 2016 19:42:58 +0100

libxml2 (2.9.1+dfsg1-5+deb8u3) jessie; urgency=medium

  * Non-maintainer upload.
  * Fix a problem unparsing URIs without a host part like qemu:///system.
    This unbreaks libvirt, libsys-virt-perl and others (Closes: #781232)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 14 Jun 2016 20:20:41 +0200

libxml2 (2.9.1+dfsg1-5+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Heap-based buffer overread in xmlNextChar (CVE-2016-1762)
  * heap-buffer-overflow in xmlStrncat (CVE-2016-1834)
  * Add missing increments of recursion depth counter to XML parser
    (CVE-2016-3705) (Closes: #823414)
  * Avoid an out of bound access when serializing malformed strings
    (CVE-2016-4483) (Closes: #823405)
  * Heap-buffer-overflow in xmlFAParsePosCharGroup (CVE-2016-1840)
  * Heap-based buffer overread in xmlParserPrintFileContextInternal
    (CVE-2016-1838)
  * Heap-based buffer overread in xmlDictAddString (CVE-2016-1839
    CVE-2015-8806 CVE-2016-2073) (Closes: #813613, #812807)
  * Heap use-after-free in xmlDictComputeFastKey (CVE-2016-1836)
  * Fix inappropriate fetch of entities content (CVE-2016-4449)
  * Heap use-after-free in htmlParsePubidLiteral and htmlParseSystemiteral
    (CVE-2016-1837)
  * Heap use-after-free in xmlSAX2AttributeNs (CVE-2016-1835)
  * Heap-based buffer-underreads due to xmlParseName (CVE-2016-4447)
  * Heap-based buffer overread in htmlCurrentChar (CVE-2016-1833)
  * Avoid building recursive entities (CVE-2016-3627) (Closes: #819006)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 May 2016 06:56:40 +0200

libxml2 (2.9.1+dfsg1-5+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches to address CVE-2015-7941.
    CVE-2015-7941: Denial of service via out-of-bounds read. (Closes: #783010)
  * Add 0058-CVE-2015-1819-Enforce-the-reader-to-run-in-constant-.patch.
    CVE-2015-1819: Enforce the reader to run in constant memory.
    (Closes: #782782)
  * Add patches to address CVE-2015-8317.
    CVE-2015-8317: Out-of-bounds heap read when parsing file with unfinished
    xml declaration.
  * Add patches to address CVE-2015-7942.
    CVE-2015-7942: heap-based buffer overflow in
    xmlParseConditionalSections(). (Closes: #802827)
  * Add 0063-Fix-parsing-short-unclosed-comment-uninitialized-acc.patch patch.
    Parsing an unclosed comment can result in `Conditional jump or move
    depends on uninitialised value(s)` and unsafe memory access.
    (Closes: #782985)
  * Add 0064-CVE-2015-8035-Fix-XZ-compression-support-loop.patch patch.
    CVE-2015-8035: DoS when parsing specially crafted XML document if XZ
    support is enabled. (Closes: #803942)
  * Add 0065-Avoid-extra-processing-of-MarkupDecl-when-EOF.patch patch.
    CVE-2015-8241: Buffer overread with XML parser in xmlNextChar.
    (Closes: #806384)
  * Add 0066-Avoid-processing-entities-after-encoding-conversion-.patch patch.
    CVE-2015-7498: Heap-based buffer overflow in xmlParseXmlDecl.
  * Add 0067-CVE-2015-7497-Avoid-an-heap-buffer-overflow-in-xmlDi.patch patch.
    CVE-2015-7497: Heap-based buffer overflow in xmlDictComputeFastQKey.
  * Add 0068-CVE-2015-5312-Another-entity-expansion-issue.patch patch.

