## libxml2 2.9.2+dfsg1

=== debian/changelog ===
libxml2 (2.9.2+dfsg1-3ubuntu0.3) vivid-security; urgency=medium

  * SECURITY UPDATE: incomplete fix for out of bounds read in xmlGROW
    (LP: #1525996)
    - add extra commits to this previously-fixed CVE
    - debian/patches/CVE-2015-7499-3.patch: reuse xmlHaltParser() where it
      makes sense in parser.c.
    - debian/patches/CVE-2015-7499-4.patch: do not print error context when
      there is none in error.c.
    - CVE-2015-7499
  * SECURITY UPDATE: out of bounds memory access via unclosed html comment
    - debian/patches/CVE-2015-8710.patch: fix parsing short unclosed
      comment uninitialized access in HTMLparser.c.
    - CVE-2015-8710

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Jan 2016 13:12:24 -0500

libxml2 (2.9.2+dfsg1-3ubuntu0.2) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service via entity expansion issue
    - debian/patches/CVE-2015-5312.patch: properly exit when entity
      expansion is detected in parser.c.
    - CVE-2015-5312
  * SECURITY UPDATE: heap buffer overflow in xmlDictComputeFastQKey
    - debian/patches/CVE-2015-7497.patch: check offset in dict.c.
    - CVE-2015-7497
  * SECURITY UPDATE: denial of service via encoding conversion failures
    - debian/patches/CVE-2015-7498.patch: avoid processing entities after
      encoding conversion failures in parser.c.
    - CVE-2015-7498
  * SECURITY UPDATE: out of bounds read in xmlGROW
    - debian/patches/CVE-2015-7499-1.patch: add xmlHaltParser() to stop the
      parser in parser.c.
    - debian/patches/CVE-2015-7499-2.patch: check input in parser.c.
    - CVE-2015-7499
  * SECURITY UPDATE: out of bounds read in xmlParseMisc
    - debian/patches/CVE-2015-7500.patch: check entity boundaries in
      parser.c.
    - CVE-2015-7500
  * SECURITY UPDATE: denial of service via extra processing of MarkupDecl
    - debian/patches/CVE-2015-8241.patch: add extra EOF check in parser.c.
    - CVE-2015-8241
  * SECURITY UPDATE: buffer overead with HTML parser in push mode
    - debian/patches/CVE-2015-8242.patch: use pointer in the input in
      HTMLparser.c.
    - CVE-2015-8242
  * SECURITY UPDATE: denial of service via encoding failures
    - debian/patches/CVE-2015-8317-1.patch: do not process encoding values
      if the declaration is broken in parser.c.
    - debian/patches/CVE-2015-8317-2.patch: fail parsing if the encoding
      conversion failed in parser.c.
    - CVE-2015-8317

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Dec 2015 11:35:28 -0500

libxml2 (2.9.2+dfsg1-3ubuntu0.1) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service via XEE attack
    - debian/patches/CVE-2015-1819.patch: enforce the reader to run in
      constant memory in buf.c, include/libxml/tree.h, xmlreader.c.
    - CVE-2015-1819
  * SECURITY UPDATE: denial of service via out-of-bounds read
    - debian/patches/CVE-2015-7941.patch: stop parsing on entities
      boundaries errors in parser.c.
    - CVE-2015-7941
  * SECURITY UPDATE: overflow in conditional sections
    - debian/patches/CVE-2015-7942.patch: properly check input in parser.c.
    - CVE-2015-7942

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Nov 2015 08:52:21 -0500

libxml2 (2.9.2+dfsg1-3) unstable; urgency=medium

  * Add icu related deps for -dev and -dbg packages
    (Closes: #776741)

 -- Aron Xu <aron@debian.org>  Sun, 01 Feb 2015 12:35:52 +0800

libxml2 (2.9.2+dfsg1-2) unstable; urgency=medium

  [ Michael Gilbert ]
  * Enable icu support (Closes: #776254)

  [ Aron Xu ]
  * 0003-Fix-missing-entities-after-CVE-2014-3660-fix.patch:
    Fix upstream bug triggered by CVE fix (Closes: #768089)

 -- Aron Xu <aron@debian.org>  Fri, 30 Jan 2015 13:52:23 +0800

libxml2 (2.9.2+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #765722, CVE-2014-3660)
  * Remove no-longer-needed upstream patches
  * Update distro patch
  * Std-ver: 3.9.5 -> 3.9.6, no change.

 -- Aron Xu <aron@debian.org>  Sun, 26 Oct 2014 07:04:50 +0800
