=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), perl, dh-autoreconf, autotools-dev,
- binutils (>= 2.14.90.0.7), python-all-dev (>= 2.6.6-3~), python-all-dbg,
- zlib1g-dev | libz-dev, liblzma-dev, libreadline-dev | libreadline6-dev
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev, pkg-config,
+ libpython-all-dev, libpython-all-dbg,
+ python-all-dev:any (>= 2.7.5-5~), python-all-dbg:any,
+ zlib1g-dev | libz-dev, liblzma-dev, libicu-dev
 Homepage: http://xmlsoft.org/
-Vcs-Git: git://git.debian.org/debian-xml-sgml/libxml2.git
-Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/libxml2.git
+Vcs-Git: git://anonscm.debian.org/debian-xml-sgml/libxml2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-xml-sgml/libxml2.git
 XS-Testsuite: autopkgtest
 
 Package: libxml2
@@ -67,7 +68,7 @@
 Package: libxml2-dev
 Architecture: any
 Section: libdevel
-Depends: libxml2 (= ${binary:Version}), ${misc:Depends}
+Depends: libxml2 (= ${binary:Version}), libicu-dev, ${misc:Depends}
 Suggests: pkg-config
 Multi-Arch: same
 Description: Development files for the GNOME XML library
@@ -85,7 +86,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libxml2 (= ${binary:Version}), ${misc:Depends}
+Depends: libxml2 (= ${binary:Version}), libicu52-dbg, ${misc:Depends}
 Multi-Arch: same
 Description: Debugging symbols for the GNOME XML library
  XML is a metalanguage to let you design your own markup language.
