## libxml2 2.9.3%2Bdfsg1

=== debian/changelog ===
libxml2 (2.9.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 14 Dec 2015 15:35:25 +0800
